File: changelog

package info (click to toggle)
kio-gdrive 1.2.5+fixedtarball-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 636 kB
  • sloc: cpp: 1,665; xml: 86; makefile: 3; sh: 1
file content (97 lines) | stat: -rw-r--r-- 4,012 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
kio-gdrive (1.2.5+fixedtarball-2) unstable; urgency=medium

  * Add kio-gdrive-1.2.6_translations.patch.
    Upstream's v1.2.6 release is v1.2.5 plus this patch.  ISO language
    codes for the enhanced translations are "zh-CN", "zh-TW", and "id".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 16 Jun 2019 16:37:28 -0400

kio-gdrive (1.2.5+fixedtarball-1) unstable; urgency=medium

  * Restore missing translations. (Closes: #915496)
    - Previous release was accidentally built from git tag rather than from
      upstream tarball.  This release uses the correct orig tarball.
  * Add dversionmangle to watch file.
  * Declare Standards-Version: 4.3.0. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 12 Jan 2019 14:15:46 -0700

kio-gdrive (1.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches that were merged into this upstream release:
    - 0001-appstream-don-t-use-hyphen-in-the-component-id.patch
    - 0002-Add-screenshot-to-gdrive.appdata.xml.patch
  * debian/copyright: Update Elvis Angelaccio's email address to reflect
    updates that were made upstream.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 01 Dec 2018 19:54:03 -0500

kio-gdrive (1.2.4-2) unstable; urgency=medium

  * Import upstream patch to fix appstream validation warning.
    - 0001-appstream-don-t-use-hyphen-in-the-component-id.patch
  * Import upstream patch to add screenshot to gdrive.appdata.xml.
    - 0002-Add-screenshot-to-gdrive.appdata.xml.patch
  * Install upstream's README.md, because it documents known issues and
    provides a link to kio-gdrive's TODO task tracker.
  * Declare Standards-Version: 4.2.1. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 03 Oct 2018 16:19:47 -0400

kio-gdrive (1.2.4-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Jul 2018 18:35:22 +0200

kio-gdrive (1.2.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.  This release includes a full-text copy of the
    GPL-3+ used by cmake/modules/FindIntltool.cmake (Closes: #895706)

  [ Pino Toscano ]
  * Remove debian/gbp.conf, as the packaging repository does not use
    git buildpackage.
  * Replace the transitional build dependencies:
    - kio-dev -> libkf5kio-dev
  * Link in as-needed mode.
  * Update Vcs-* fields.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 19 May 2018 17:57:20 -0400

kio-gdrive (1.2.2-1) unstable; urgency=medium

  * Import Neon packaging version 1.2.1-0neon. (Closes: #884337)
  * New upstream version.
  * Update copyright.  Thanks to Sandro KnauƟ for the review.
  * debian/copyright: Use secure URL for Source.
  * Declare compat level 11.
  * debian/control:
    - Update maintainer and uploader fields.
    - Drop Ubuntu(and derivatives)-specific XSBC-Original-Maintainer.
    - Switch to debhelper 11.
    - Update upstream homepage URL.
    - Add missing Build-Depends to fix FTBS (libkf5doctools-dev,
      appstream, libkf5notifications-dev, and intltool).
    - Update Build-Depends from CMakeLists.txt.
    - Drop libqt5webengine5 from Depends.
    - Promote kaccounts-integration from Recommends to Depends, because
      the package does not appear to function without it.
    - Bump pkg-kde-tools dep to the probable 1st version --with kf5.
  * Drop empty kio-gdrive.install.
  * Add gbp.conf.
  * Drop kio-gdrive.lintian-overrides because it is an unused-override.
  * Update Vcs links to use salsa, and use canonical Vcs names.
  * debian/rules:
    - Remove extra whitespace.
    - Switch from including debian-qt-kde.mk to --with kf5 sequence
  * Update watch file to use https and qt-kde-team preferred format.
  * Add DEP 12 upstream metadata.
  * Declare Standards-Version: 4.1.4.
  * Drop qt5keychain-dev from Build-Deps.
  * Add README.source and drop comments from debian/control.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 09 Apr 2018 14:56:37 -0400